> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET (/serviceconfigs/{scid}/sessiontemplates)

> GET (/serviceconfigs/{scid}/sessiontemplates)

Retrieves a set of MPSD session templates.

> **Important:**\
> This URI method requires a header element of X-Xbl-Contract-Version: 104/105 or later on every request.

* [URI parameters](#ID4ET)
* [HTTP status codes](#ID4E5)
* [Request body](#ID4EFB)
* [Response body](#ID4EQB)

## URI parameters

\| Parameter| Type| Description|
\| --- | --- | --- | --- |
\| scid| GUID| Service configuration identifer (SCID). Part 1 of the session ID.|
\| sessionTemplateName| string| Name of the current instance of the session template. Part 2 of the session ID. |

## HTTP status codes

The service returns an HTTP status code as it applies to MPSD.

## Request body

No objects are sent in the body of this request.

## Response body

```cpp theme={null}
{
    "results": [ {
            "xuid": "9876",    // If the session was found from a xuid, that xuid.
            "startTime": "2009-06-15T13:45:30.0900000Z",
            "sessionRef": {
                "scid": "foo",
                "templateName": "bar",
                "name": "session-seven"
            },
            "accepted": 4,    // Approximate number of non-reserved members.
            "status": "active",    // or "reserved" or "inactive". This is the state of the user in the session, not the session itself. Only present if the session was found using a xuid.
            "visibility": "open",    // or "private", "visible", or "full"
            "joinRestriction": "local",    // or "followed". Only present if 'visibility' is "open" or "full" and the session has a join restriction.
            "myTurn": true,    // Not present is the same as 'false'. Only present if the session was found using a xuid.
            "keywords": [ "one", "two" ]
        }
    ]
}

```

## See also

##### Parent

[/serviceconfigs/{scid}/sessiontemplates](https://docs.xbox.com/reference/live/rest/uri/sessiondirectory/uri-serviceconfigsscidsessiontemplates.md)


## Related topics

- [GET (/serviceconfigs/{scid}/sessiontemplates/{sessionTemplateName})](https://docs.xbox.com/reference/live/rest/uri/sessiondirectory/uri-serviceconfigsscidsessiontemplatessessiontemplatenameget.md)
- [GET (/serviceconfigs/{scid}/sessiontemplates/{sessionTemplateName}/sessions)](https://docs.xbox.com/reference/live/rest/uri/sessiondirectory/uri-serviceconfigsscidsessiontemplatessessiontemplatenamesessionsget.md)
- [GET (/serviceconfigs/{scid}/sessiontemplates/{sessionTemplateName}/sessions/{sessionName})](https://docs.xbox.com/reference/live/rest/uri/sessiondirectory/uri-serviceconfigsscidsessiontemplatessessiontemplatenamesessionssessionnameget.md)
- [/serviceconfigs/{scid}/sessiontemplates](https://docs.xbox.com/reference/live/rest/uri/sessiondirectory/uri-serviceconfigsscidsessiontemplates.md)
- [/serviceconfigs/{scid}/sessiontemplates/{sessionTemplateName}](https://docs.xbox.com/reference/live/rest/uri/sessiondirectory/uri-serviceconfigsscidsessiontemplatessessiontemplatename.md)
